<?xml version="1.0" encoding="UTF-8" ?>
<!-- $Id: cedram-to-dmlcz-bibliographic-suffix.xsl 253 2008-02-21 15:20:13Z michalr $ -->
<xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" 
               xmlns:exsl="http://exslt.org/common">
    
    <!-- Output setup. -->
    <xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
    
    <!-- Math expressions conversion. -->
    <xsl:template match="texmath">
        <xsl:if test="@type='inline'">$<xsl:value-of select="."/>$</xsl:if>
        <xsl:if test="@type='display'">\[<xsl:value-of select="."/>\]</xsl:if>
    </xsl:template>
    
    <!-- Root element. -->
    <xsl:template match="/">
        <suffixes>
            <xsl:apply-templates select="//p"/>
        </suffixes>
    </xsl:template>
    
    <!-- Suffix extraction. -->
    <xsl:template match="//p">
        <suffix>
            <xsl:for-each select="exsl:node-set(./*|./text())[position()!=1 and position()!=2]">
                <xsl:choose>
                    <xsl:when test="position()=1">
                        <xsl:apply-templates select=".">
                            <xsl:with-param name="trimTextOf">3</xsl:with-param>
                        </xsl:apply-templates>
                    </xsl:when>
                    <xsl:otherwise>
                        <xsl:apply-templates select="."/>
                    </xsl:otherwise>
                </xsl:choose>
            </xsl:for-each>
        </suffix>
    </xsl:template>
    
    <!-- Trim text of prefix and substitute new-line charecters for spaces. -->
    <xsl:template match="text()">
        <!-- Don't trim string of anything by default. -->
        <xsl:param name="trimTextOf" select="0"/>
        <xsl:value-of select="translate(substring(.,$trimTextOf),'&#10;',' ')"/>
    </xsl:template>
    
</xsl:transform>
