<?xml version="1.0" encoding="UTF-8" ?>
<!-- $Id: cedram-to-web-article.xsl 712 2008-09-28 11:19:30Z michalr $ -->
<xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
    
    <!-- Output setup. -->
    <xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes" 
                doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" 
                doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"/>
    
    <!-- Math expressions conversion. -->
    <xsl:template match="texmath">
        <xsl:if test="@type='inline'">$<xsl:value-of select="."/>$</xsl:if>
        <xsl:if test="@type='display'">\[<xsl:value-of select="."/>\]</xsl:if>
    </xsl:template>
    
    <!-- Root element. -->
    <xsl:template match="/">
        <html>
            <head>
                <meta http-equiv="Content-Type" 
                      content="text/html; charset=UTF-8"/>
                <title>
                    <xsl:apply-templates select="/article/TeXtitre"/>
                </title>
            </head>
            <body>
                <div>
                    <xsl:apply-templates select="/article/TeXtitre"/>
                </div>
                <div>
                    <xsl:for-each select="/article/auteur">
                        <xsl:value-of select="./nomcomplet"/>
                        <xsl:if test="position()!=last()">
                            <xsl:choose>
                                <xsl:when test="count(/article/auteur)=2">
                                    <xsl:text> and </xsl:text>
                                </xsl:when>
                                <xsl:when test="count(/article/auteur)>2 and position()=(last()-1)">
                                    <xsl:text>, and </xsl:text>
                                </xsl:when>
                                <xsl:otherwise>
                                    <xsl:text>, </xsl:text>
                                </xsl:otherwise>
                            </xsl:choose>
                        </xsl:if>
                    </xsl:for-each>
                </div>
                <div>
                    <xsl:for-each select="/article/auteur/adresse">
                        <xsl:apply-templates select="."/>
                        <xsl:if test="position()!=last()">
                            <br/>
                        </xsl:if>
                    </xsl:for-each>
                </div>
                <div>
                    <xsl:for-each select="/article/auteur/adresse/e-mails/e-mail">
                        <xsl:element name="a">
                            <xsl:attribute name="href">
                                <xsl:text>mailto:</xsl:text>
                                <xsl:value-of select="."/>
                            </xsl:attribute>
                            <xsl:value-of select="."/>
                        </xsl:element>
                        <xsl:if test="position()!=last()">
                            <br/>
                        </xsl:if>
                    </xsl:for-each>
                </div>
                <div>
                    <xsl:apply-templates select="/article/TeXresume"/>
                </div>
                <div>
                    <xsl:apply-templates select="/article/msc"/>
                </div>
                <div>
                    <xsl:for-each select="/article/TeXkeyword">
                        <xsl:value-of select="."/>
                        <xsl:choose>
                            <xsl:when test="position()!=last()">
                                <xsl:text>, </xsl:text>
                            </xsl:when>
                        </xsl:choose>
                    </xsl:for-each>
                </div>
            </body>
        </html>
    </xsl:template>
    
    <!-- Article titles extraction. -->
    <xsl:template match="TeXtitre">
        <xsl:apply-templates select="*|text()"/>
    </xsl:template>
    
    <!-- Article summary extraction. -->
    <xsl:template match="TeXresume">
        <xsl:apply-templates select="*|text()"/>
    </xsl:template>
    
    <!-- MSC extraction. -->
    <xsl:template match="msc">
        <xsl:text>primary </xsl:text>
        <xsl:for-each select="./msc_primary">
            <xsl:value-of select="."/>
            <xsl:if test="position()!=last()">
                <xsl:text>, </xsl:text>
            </xsl:if>
        </xsl:for-each>
        <xsl:if test="count(./msc_secondary)>0">
            <xsl:text>; secondary </xsl:text>
            <xsl:for-each select="./msc_secondary">
                <xsl:value-of select="."/>
                <xsl:if test="position()!=last()">
                    <xsl:text>, </xsl:text>
                </xsl:if>
            </xsl:for-each>
        </xsl:if>
    </xsl:template>
    
    <!-- Don't show e-mails in addresses. -->
    <xsl:template match="e-mails"/>
</xsl:transform>
