<?xml version="1.0" encoding="UTF-8" ?>
<!-- $Id: cedram-to-web-index.xsl 669 2008-05-22 23:03:33Z michalr $ -->
<xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
    
    <!-- Include list of articles. -->
    <xsl:import href="articles.xsl"/>
    
    <!-- Output setup. -->
    <xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes" 
                doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" 
                doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"/>
    
    <!-- Math expressions conversion. -->
    <xsl:template match="texmath">
        <xsl:if test="@type='inline'">$<xsl:value-of select="."/>$</xsl:if>
        <xsl:if test="@type='display'">\[<xsl:value-of select="."/>\]</xsl:if>
    </xsl:template>
    
    <!-- Root element. -->
    <xsl:template match="/">
        <html>
            <head>
                <meta http-equiv="Content-Type" 
                      content="text/html; charset=UTF-8"/>
                <title>Articles</title>
            </head>
            <body>
                <div>
                    <xsl:value-of select="/notice/revue/E-issn"/>
                    <br/>
                    <xsl:value-of select="/notice/tome"/>
                    <br/>
                    <xsl:value-of select="/notice/annee"/>
                    <br/>
                    <xsl:value-of select="/notice/fascicule"/>
                </div>
                <xsl:call-template name="articles"/>
            </body>
        </html>
    </xsl:template>
    
    <!-- Article entry preparetion. -->
    <xsl:template name="article-entry">
        <xsl:param name="article-name"/>
        <xsl:param name="pdf-size"/>
        <xsl:param name="gzip-ps-size"/>
        <xsl:param name="article-xml-path">
            <xsl:value-of select="$article-name"/>
            <xsl:text>-cdrxml.xml</xsl:text>
        </xsl:param>
        <div>
            <div class="authors">
                <xsl:for-each select="document($article-xml-path)/article/auteur">
                    <xsl:value-of select="./nomcomplet"/>
                    <xsl:if test="position()!=last()">
                        <xsl:choose>
                            <xsl:when test="count(document($article-xml-path)/article/auteur)=2">
                                <xsl:text> and </xsl:text>
                            </xsl:when>
                            <xsl:when test="count(document($article-xml-path)/article/auteur)>2 and position()=(last()-1)">
                                <xsl:text>, and </xsl:text>
                            </xsl:when>
                            <xsl:otherwise>
                                <xsl:text>, </xsl:text>
                            </xsl:otherwise>
                        </xsl:choose>
                    </xsl:if>
                </xsl:for-each>
            </div>
            <div class="title">
                <xsl:apply-templates select="document($article-xml-path)/article/TeXtitre"/>
            </div>
            <div>
                <div>
                    <xsl:choose>
                        <xsl:when test="document($article-xml-path)/article/pagedeb!=document($article-xml-path)/article/pagefin">
                            <xsl:value-of select="document($article-xml-path)/article/pagedeb"/>
                            <xsl:text> </xsl:text>
                            <xsl:value-of select="document($article-xml-path)/article/pagefin"/>
                        </xsl:when>
                        <xsl:otherwise>
                            <xsl:value-of select="document($article-xml-path)/article/pagedeb"/>
                        </xsl:otherwise>
                    </xsl:choose>
                </div>
                <div>
                    <xsl:element name="a">
                        <xsl:attribute name="href">
                            <xsl:value-of select="$article-name"/>
                            <xsl:text>.html</xsl:text>
                        </xsl:attribute>
                        <xsl:text>info</xsl:text>
                    </xsl:element>
                </div>
                <div>
                    <xsl:element name="a">
                        <xsl:attribute name="href">
                            <xsl:value-of select="$article-name"/>
                            <xsl:text>.ps.gz</xsl:text>
                        </xsl:attribute>
                        <xsl:text>GZIP-PS</xsl:text>
                    </xsl:element>
                </div>
                <div>
                    <xsl:value-of select="$pdf-size"/>
                </div>
                <div>
                    <xsl:element name="a">
                        <xsl:attribute name="href">
                            <xsl:value-of select="$article-name"/>
                            <xsl:text>.pdf</xsl:text>
                        </xsl:attribute>
                        <xsl:text>PDF</xsl:text>
                    </xsl:element>
                </div>
                <div>
                    <xsl:value-of select="$gzip-ps-size"/>
                </div>
            </div>
        </div>
    </xsl:template>
    
    <!-- Article titles extraction. -->
    <xsl:template match="TeXtitre">
        <xsl:apply-templates select="*|text()"/>
    </xsl:template>
</xsl:transform>
